# Class CIM_LogicalPortSettings
extends CIM_SettingData

A LogicalPort may be configured via the LogicalPortSettings class. The configuration changes are expected to be stored to non-volatile memory.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_LogicalPortSettings

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A LogicalPort may be configured via the LogicalPortSettings class. The configuration changes are expected to be stored to non-volatile memory.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AutoSenseSpeed | boolean |

Description

string

A boolean indicating whether the LogicalPort should automatically negotiate an optimal bandwidth (TRUE), or attempt to communicate only at the RequestedSpeed (FALSE). The actual bandwidth is reported in LogicalPort.Speed. Changing this value to (FALSE) may cause the OperationalStatus to change to [stopped] if the RequestedSpeed is not compatible with the attached device Check LogicalPortCapabilities.AutoSenseSpeedConfigurable to see if this value may be changed.

MappingStrings | string | FC-SWAPI.INCITS-T11|UcPortConfigSetLinkSpeed
ModelCorrespondence | string | CIM_LogicalPort.Speed, CIM_LogicalPortCapabilities.AutoSenseSpeedConfigurable
Write | boolean | true
RequestedSpeed | uint64 |
Description | string | The requested bandwidth of the Port in Bits per Second. The actual bandwidth is reported in LogicalPort.Speed.
MappingStrings | string | FC-SWAPI.INCITS-T11|UcPortConfigSetLinkSpeed
ModelCorrespondence | string | CIM_LogicalPort.Speed
PUnit | string | bit / second
Units | string | Bits per Second
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods